# Class MetricsProviderBootstrap

java.lang.Object
org.apache.zookeeper.metrics.impl.MetricsProviderBootstrap

public abstract class MetricsProviderBootstrap extends Object
Utility for bootstrap process of MetricsProviders

## Constructor Summary

Constructors
Constructor
Description
`MetricsProviderBootstrap()`

## Method Summary

Modifier and Type
Method
Description
`static MetricsProvider`
`startMetricsProvider(String metricsProviderClassName, Properties configuration)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetricsProviderBootstrap

public MetricsProviderBootstrap()

## Method Details

### startMetricsProvider

public static MetricsProvider startMetricsProvider(String metricsProviderClassName, Properties configuration) throws MetricsProviderLifeCycleException

Throws:
  `MetricsProviderLifeCycleException`